diff -ur dia-0.83-jp3/app/render_eps.c dia-0.83-7pr1/app/render_eps.c
--- dia-0.83-jp3/app/render_eps.c	Sat Feb 19 00:21:42 2000
+++ dia-0.83-7pr1/app/render_eps.c	Sat Feb 19 00:51:56 2000
@@ -1061,6 +1061,13 @@
   char *buff;
  
   _pos = *pos;
+  if(alignment == ALIGN_RIGHT) {
+    _pos.x -= font_string_width(text, font, height);
+    alignment = ALIGN_LEFT;
+  } else if (alignment == ALIGN_CENTER) {
+    _pos.x -= font_string_width(text, font, height) / 2;
+    alignment = ALIGN_LEFT;
+  }
   buff = (char *)g_malloc(sizeof(char) * strlen(text) + 1);
   for(i=0, s=0; i<strlen(text);i++,s++) {
     if(s==0) {
@@ -1085,9 +1092,9 @@
  		  buff,
  		  &_pos, alignment,
  		  color);
+      _pos.x += font_string_width(buff, font, height);
       s = 0;
       buff[s] = text[i];
-      _pos.x += font_string_width(buff, font, height);
     }
   }
   if (text[i-1] > 0) {
diff -ur dia-0.83-jp3/lib/text.c dia-0.83-7pr1/lib/text.c
--- dia-0.83-jp3/lib/text.c	Sat Feb 19 00:21:42 2000
+++ dia-0.83-7pr1/lib/text.c	Sat Feb 19 00:51:56 2000
@@ -380,6 +380,8 @@
 {
   Point pos;
   int i;
+
+  renderer->ops->set_font(renderer, text->font, text->height);
   
   pos = text->position;
 
diff -ur dia-0.83-jp3/objects/UML/class.c dia-0.83-7pr1/objects/UML/class.c
--- dia-0.83-jp3/objects/UML/class.c	Sat Feb 19 00:21:42 2000
+++ dia-0.83-7pr1/objects/UML/class.c	Sat Feb 19 00:51:53 2000
@@ -440,16 +440,11 @@
   if (umlclass->stereotype != NULL) {
     umlclass->namebox_height += font_height;
     umlclass->stereotype_string =
-      g_malloc(sizeof(char)*(strlen(umlclass->stereotype)+2+1));
-    
-    umlclass->stereotype_string[0] = UML_STEREOTYPE_START;
-    umlclass->stereotype_string[1] = 0;
+      g_malloc(sizeof(char)*(strlen(umlclass->stereotype)+4+1));
     
+    strcpy(umlclass->stereotype_string, UML_STEREOTYPE_START);
     strcat(umlclass->stereotype_string, umlclass->stereotype);
-
-    i = strlen(umlclass->stereotype_string);
-    umlclass->stereotype_string[i] = UML_STEREOTYPE_END;
-    umlclass->stereotype_string[i+1] = 0;
+    strcat(umlclass->stereotype_string, UML_STEREOTYPE_END);
 
     width = font_string_width(umlclass->stereotype_string, umlclass->normal_font, font_height);
     maxwidth = MAX(width, maxwidth);
diff -ur dia-0.83-jp3/objects/UML/uml.h dia-0.83-7pr1/objects/UML/uml.h
--- dia-0.83-jp3/objects/UML/uml.h	Thu Jun  3 19:12:04 1999
+++ dia-0.83-7pr1/objects/UML/uml.h	Sat Feb 19 00:51:53 2000
@@ -77,8 +77,8 @@
 };
 
 /* Characters used to start/end stereotypes: */
-#define UML_STEREOTYPE_START ((char) 171)
-#define UML_STEREOTYPE_END ((char) 187)
+#define UML_STEREOTYPE_START "<<"
+#define UML_STEREOTYPE_END ">>"
 
 extern char *uml_get_attribute_string(UMLAttribute *attribute);
 extern char *uml_get_operation_string(UMLOperation *operation);
